import stamp.core.*;        // include Package stamp.core

/**
 * Program : Flash LED.
 * class   : FlashLED
 * @version 1.0 01/05/2004
 * @author Prajin Palangsantikul
 */

public class FlashLED{

  static boolean P0 = true;

  public static void main(){
    while(true){
      // Reads the logic value on a pin.
      if(CPU.readPin(CPU.pins[8])==true){
          P0 = !P0;
          CPU.writePin(CPU.pins[0],P0); // Set a pin to a logic state
          CPU.delay(2000); // Delays the program execution for a period of time.
      } else {
        CPU.writePin(CPU.pins[0],false);
      }
    }
  }
}