import stamp.core.*;        // include Package stamp.core

/**
 * Program : Example 1.
 * class   : MyMCU
 * @version 1.0 01/05/2004
 * @author Prajin Palangsantikul
 */

class MCU_8Bit {

  static String pin[] = {"pin0","pin1","pin2","pin3","pin4","pin5","pin6","pin7" };

  public static void writePin( int portPin, boolean value ) {
    if(portPin >=0 && portPin <=7) {
      System.out.print(pin[portPin]);
      if(value)
        System.out.println(" On");
      else
        System.out.println(" Off");
    } else {
      System.out.print("Invalid port pin");
      System.out.println(portPin);
    }
  }

}

public class myMCU {

  public static void main() {
    MCU_8Bit JStamp = new MCU_8Bit();

    JStamp.writePin(2,true);      // On port pin2
    JStamp.writePin(4,false);     // Off port pin2
    JStamp.writePin(9,true);      // invalid port pin9
  }
}