import stamp.core.*;    // include Package stamp.core

/**
 * Program : Easy Remote 4
 * class   : testEasyRemote4
 * @version 1.0 01/05/2004
 * @author Prajin Palangsantikul
 */

public class testEasyRemote4 {

  final static int EASY_REMOTE_PIN = CPU.pin15;
  static Uart rxUart = new Uart( Uart.dirReceive, EASY_REMOTE_PIN, Uart.dontInvert,
                                 Uart.speed1200, Uart.stop1 );

  public static void main() {
    char ch;
    while(true) {
      //Test whether any bytes are available in the receive buffer.
      if(rxUart.byteAvailable()) {
        // Receives a byte from a receive Uart.
        System.out.print((char) rxUart.receiveByte());
        System.out.print("  ");
      }
    }
  }

}