import stamp.core.*;        // include Package stamp.core

/**
 * Program : Serial LCD Module 16x2 (SLCD)
 * class   : testSLCD
 * @version 1.0 01/05/2004
 * @author Prajin Palangsantikul
 */

public class testSLCD {

  final static int SLCD = CPU.pin13;  // connect port
  final static int CMD = 0xFE;        // standard mode command (ST)
  static Uart txUart = new Uart( Uart.dirTransmit, SLCD, Uart.invert,
                                Uart.speed9600, Uart.stop1 );

  public static void main() {
    txUart.sendByte(CMD);     // send ST command
    txUart.sendByte(1);       // send 1 display message
    CPU.delay(500);           // delay
    txUart.sendString("Serial LCD Show"); // send message
  }
}