// Program Listing 6.3 - Switch Demo

import stamp.core.*;

public class SwDemo {                                  // class declaration

  public static void main() {                          // main declaration

    while (true){                                      // do while loop forever
      System.out.print("Select 1-4: ");                // Output
      switch (Terminal.getChar() ) {                   // run code based on getChar
        case '1':                                      // execute if '1'
          System.out.println(" Number one");            // Output
          break;                                       // exit switch
        case '2':                                      // execute if '2'
        case '3':                                      // execute if '3'
          System.out.println(" Either 2 or 3");         // Output
        case '4':                                      // execute if '4'
          System.out.println(" Either 2, 3, or 4");     // Output
          break;                                       // exit switch

        default:                                       // execute if no match above
          System.out.println(" You didn't enter 1-4!"); // Output

      }                                                // end switch
    }                                                  // end while
  }                                                    // end main
}