/**
 * Program : Package 1.
 * class   : Construct
 * note    : this program is a Library Class and must be called by another program
 * @version 1.0 01/05/2004
 * @author Prajin Palangsantikul
 */

package chap07.code;

public class Construct {               // class Declaration
  public final static int NONE = 0;    // Constant
  public final static int INTEGER=1;
  public final static int STRING=2;

  public static int intval;           // Fields
  public String strval;
  public static int which;

  public Construct() {                // default constructor
    which = NONE;                     // no value set
  }                                   // end constructor

  public Construct(int value) {       // int constructor
    intval = value;
    which = INTEGER;
  }                                   // end constructor(int)

  public Construct(String value) {    // String constructor
    strval = value;
    which = STRING;
  }                                   // end constructor(String)

  public int ShowInt() {              // Show Integer
    return(intval);
  }

  public String ShowString() {       // Show String
    return(strval);
  }

  public void ShowStatus() {         // Show status
    if(which == 0) System.out.println("Default Constructor");
    if(which == 1) System.out.println("Integer Constructor");
    if(which == 2) System.out.println("String Constructor");
  }

}                                     // end class Declaration