import stamp.core.*;        // include Package stamp.core
import java.lang.*;         // include Package java.lang (Exception)
/**
 * Program : my throws Execption.
 * class   : myThorwsExecption
 * @version 1.0 01/05/2004
 * @author Prajin Palangsantikul
 */

class divZeroError extends Exception {
  // no mathods or fields required
}

public class myThorwsException {

  static int dodiv(int a, int b) throws Exception {
    if(b==0)
      throw new divZeroError();
    return a/b;
  }

  public static void main() {
    int x=0;
    int y=30;

    try {
      System.out.print("z = ");
      System.out.println(dodiv(y,x));
    }                        // end try
    catch(divZeroError e) {
      System.out.println("\nError:Divide by zero");
    }
    catch(Exception e) {
      System.out.println("\nUnknown exception"); // end catch
    }
    finally {
      // this block is executed before control exits
      System.out.println("\nDone..");
    }
  }
}