// Program Listing 9.2 - Button Demo

import stamp.core.*;

public class ButtonTest{
  public static void main() {
    Button blueButton = new Button(CPU.pin8, true, 5000, 10);
    int lastState = Button.BUTTON_UP;
    System.out.println("Press & release button.");
    System.out.println("Monitoring button state...");

    while ( true ) {
      int state = blueButton.getState();

      if ( blueButton.buttonDown() )
        System.out.println(" ");
      if ( state != lastState ) {

        System.out.print("State: ");
        switch (state) {
        case Button.BUTTON_UP:
          System.out.println("BUTTON_UP");
          break;
        case Button.BUTTON_DOWN:
          System.out.println("BUTTON_DOWN");
          break;
        case Button.BUTTON_AUTO_REPEAT:
          System.out.println("BUTTON_AUTO_REPEAT");
          break;
        case Button.BUTTON_DEBOUNCE:
          System.out.println("BUTTON_DEBOUNCE");
          break;
        default:
          System.out.println("** Unknown state ***");
          break;
        }

        lastState = state;
      }
    }
  }                                                  //end main
}                                                    // end class declaration