import stamp.core.*;        // include Package stamp.core

/**
 * Program : LED Running.
 * class   : ExLedRun
 * @version 1.0 01/05/2004
 * @author Prajin Palangsantikul
 */

class classLED {

  static int tDelay;
  // Constructor
  classLED(int dly) {
    tDelay = dly;
  }

  static void WriteLED(int pNumber, boolean status) {
    // Set a pin to a logic state.
    CPU.writePin(CPU.pins[pNumber],status);
    // Delays the program execution for a period of time.
    CPU.delay(tDelay);
  }
}

public class ExLedRun {

  public static void main() {
    int i;
    // instance of an object
    classLED cLed = new classLED(2000);

    System.out.println("Led Running End to End");
    while(true) {
      for(i=0;i<4;i++) {
        cLed.WriteLED(i,true);  // On LED
        cLed.WriteLED(i,false); // Off LED
      }
    }
  }
 }